/**
 * Find puzzle informations and player's completion from an array
 *
 * @param {number[]} ids - Every Puzzle IDs you want to inspect
 * @param {number} userId - The user ID you want to retrieve the completion
 *
 */
export declare const findProgressByIds: (ids: number[], userId: number) => Promise<IPuzzleProgress[]>;
export interface IPuzzleProgress {
    id: number;
    level: string;
    rank: number;
    thumbnailBinaryId: number;
    previewBinaryId: number;
    coverBinaryId: number;
    logoBinaryId: number;
    title: string;
    description: string;
    validatorScore: number;
    achievementCount: number;
    doneAchievementCount: number;
    forumLink: string;
    chatRoom: string;
    solvedCount: number;
    attemptCount: number;
    xpPoints: number;
    feedback: feedbackPuzzle;
    topics: topics[];
    creationTime: number;
    type: string;
    prettyId: string;
    detailsPageUrl: string;
    replayIds: number[];
    communityCreation: boolean;
}
declare type feedbackPuzzle = {
    feedbackId: number;
    feedbacks: number[];
};
declare type topics = {
    handle: string;
    category: string;
    value: string;
    children: topics[] | [];
};
export {};
